usb-modeswitch (2.2.0+repack0-1) unstable; urgency=medium

  * New 2.2.0 upstream release
    - Introduction of parameter "HuaweiNewMode", wrapping the standard bulk
      message for all newer Huawei devices;
    - Support for generic fallback config files, combined with OS switch (per
      vendor ID);

  * Repack the upstream tarball:
    - Drop the code copy of jimtcl.

  * Bump usb-modeswitch-data depends to 20140529
  * Update VCS-* fields to canonical form

 -- Didier Raboud <odyx@debian.org>  Mon, 09 Jun 2014 11:21:08 +0200

usb-modeswitch (2.1.1+repack0-1) unstable; urgency=medium

  * New 2.1.1 upstream release
    - "Interface" parameter was not working as expected, fixed
      (LP: #1261923)

  * Repack the upstream tarball:
    - Drop the code copy of jimtcl.

  * Bump usb-modeswitch-data depends to 20140327
  * Append CPPFLAGS to CFLAGS

 -- Didier Raboud <odyx@debian.org>  Tue, 01 Apr 2014 13:28:36 +0200

usb-modeswitch (2.1.0+repack0-1) unstable; urgency=medium

  * New 2.1.0 upstream release
    - -I flag meaning reversed, default is to skip SCSI inquiry

  * Repack the upstream tarball:
    - Drop the code copy of jimtcl.

  * Bump usb-modeswitch-data depends to 20140129
  * Bump Standards-Version to 3.9.5 without changes needed
  * Add get-orig-source target to do the automatic repacking

 -- Didier Raboud <odyx@debian.org>  Mon, 10 Feb 2014 12:58:03 +0100

usb-modeswitch (2.0.1+repack0-2) unstable; urgency=low

  * Update the systemd patch to change the systemctl path to fit
    Debian's (Closes: #725394) - thanks to Ralf Jung

 -- Didier Raboud <odyx@debian.org>  Mon, 30 Sep 2013 10:57:27 +0200

usb-modeswitch (2.0.1+repack0-1) unstable; urgency=low

  * New 2.0.1 upstream release
    - Switched to libusb1.0
    - Major code and debug output cleanup
    - Man page corrections and additions
    - Experimental systemd and upstart integration

  * Repack the upstream tarball:
    - Drop the code copy of jimtcl.

  * Refresh patches for 2.0.1
  * Update Build-Depends to add libusb-1.0-0-dev and pkg-config
  * Incorporate support for upstart and systemd
    - patch the dispatcher to correctly check if upstart or systemd are running
    - install the upstart init file and the systemd service file

 -- Didier Raboud <odyx@debian.org>  Wed, 18 Sep 2013 19:53:11 +0200

usb-modeswitch (1.2.6+repack0-1) unstable; urgency=low

  * New 1.2.6 upstream release
    - Several changes to streamline compiling as part of larger
      projects, mostly in Makefile;
    - fix compiler warnings appearing in certain build environments;
    - new Quanta procedure for Quanta 1K3 LTE;
    - fix for error with cascaded hubs in dispatcher script.

  * Repack the upstream tarball:
    - Drop the code copy of jimtcl.

  * Replace 04_cope_with_repack patch by one to to use the
    package-provided jimsh and libjim.
  * Bump usb-modeswitch-data depends to 20130607.

 -- Didier Raboud <odyx@debian.org>  Sat, 08 Jun 2013 18:07:17 +0200

usb-modeswitch (1.2.5+repack0-2) unstable; urgency=low

  * Upload to unstable.

 -- Didier Raboud <odyx@debian.org>  Mon, 06 May 2013 17:36:17 +0200

usb-modeswitch (1.2.5+repack0-1) experimental; urgency=low

  * New 1.2.5 upstream release
    - Initial support for MBIM devices, use with data package >= 20121109;
    - checking for these is the automatic default, new parameter
      NoMBIMCheck prevents the check per device in case of problems; new
      global option to set "delay_use" of usb-storage (as low values may
      prevent mode-switching);
    - fix for handling multi-configuration devices (thanks to Bjørn Mork
      for advice).

  * Repack the upstream tarball:
    - Drop the code copy of jimtcl.

  * Bump usb-modeswitch-data depends to 20121109.
  * Bump Standards-Version to 3.9.4 and debhelper B-D to 9 without
    changes needed.

 -- Didier Raboud <odyx@debian.org>  Tue, 20 Nov 2012 10:45:07 +0100

usb-modeswitch (1.2.4+repack0-1) experimental; urgency=low

  * New 1.2.4 upstream release
    - Additional interface checks to prevent sending UFI commands to
      non-storage interfaces (prompted by more ambiguous device IDs
      popping up);
    - Change in SierraMode for handling newer devices which caused an
      error abort before;
    - Makefile fix for parallelized make runs.

  * Repack the upstream tarball:
    - Drop the code copy of jimtcl.

  * Drop patch to disable logging as was (temporarily) enabled in 1.2.3.
  * Refresh patches.

 -- Didier Raboud <odyx@debian.org>  Tue, 28 Aug 2012 11:13:00 +0200

usb-modeswitch (1.2.3+repack0-1) unstable; urgency=medium

  * New 1.2.3 upstream release.
    - Fixed two bugs both causing the embedded-jimsh install variant of the
      dispatcher crash;
      (Closes: #656688)
    - Fixed some "regexp" incompatibilities with Debian's libjim.
      (Closes: #656063)

  * Repack the upstream tarball:
    - Drop the code copy of jimtcl.

  * Rise urgency to medium as this new upstream release fixes two RC bugs.
  * Add patch to disable logging as enabled in 1.2.3 upstream release.

 -- Didier Raboud <odyx@debian.org>  Mon, 30 Jan 2012 18:16:11 +0100

usb-modeswitch (1.2.2+repack0-1) unstable; urgency=low

  * New 1.2.2 upstream release.
    - Fixed bad bug preventing mode switch for devices using TargetClass
      (Closes: #656248);

  * Repack the upstream tarball:
    - Drop the code copy of jimtcl.

 -- Didier Raboud <odyx@debian.org>  Thu, 19 Jan 2012 11:27:49 +0100

usb-modeswitch (1.2.1+repack0-1) unstable; urgency=low

  * New 1.2.1 upstream release.

  * Repack the upstream tarball:
    - Drop the code copy of jimtcl.

  * Refresh patches.
    × 03_use_udev_specifics.patch: Refresh.

 -- Didier Raboud <odyx@debian.org>  Mon, 02 Jan 2012 21:27:00 +0100

usb-modeswitch (1.2.0+repack0-1) unstable; urgency=low

  * New 1.2.0 upstream release:
    - added command line options for binary program to accept configuration
      data via stdin or as a long string parameter - this fixes the bug with
      non-writable temporary file during boot (Closes: #629371);

  * Repack the upstream tarball:
    - Drop the code copy of jimtcl.

  * Refresh patches:
    × 03_use_udev_specifics.patch: Refresh.
    + 04_cope_with_repack.patch: Add.
    - wait_half_second_non_scsi.patch: was from upstream; drop.
  * Link usb-modeswitch-dispatcher against libjim.
    - Add Build-Depends on jimtcl and libjim-dev.
    - Drop Depends on tcl/tclsh.
    - Use explicit makefile targets.
  * Bump debhelper compat to 9, for auto- buildflags.
    - Bump debhelper B-D to 8.9.0~.
    - Add source lintian override.

 -- Didier Raboud <odyx@debian.org>  Mon, 24 Oct 2011 09:50:41 +0200

usb-modeswitch (1.1.9-2) unstable; urgency=low

  * Patch the tcl dispatcher to wait some time with non-scsi-needing
    devices. (Closes: #637972)

 -- Didier Raboud <odyx@debian.org>  Tue, 16 Aug 2011 23:04:57 +0200

usb-modeswitch (1.1.9-1) unstable; urgency=low

  * New 1.1.9 upstream version:
    × Refresh 03_use_udev_specifics.patch.

 -- Didier Raboud <odyx@debian.org>  Sun, 07 Aug 2011 16:59:11 +0200

usb-modeswitch (1.1.8-1) unstable; urgency=low

  * New 1.1.8 upstream version:
    - Rewrite Debian's "override from /etc" code
      (Closes: #630081, thanks to Alex Hermann).
    - Fix boot-time switching regression
      (Closes: #629371, thanks to Christian Kastner).

  * Drop patches obsoleted by 1.1.8:
    - 01_extract_to_var_lib_not_tmp
    - 02_allow_override_from_etc
  * Drop device_reference.txt from docs as upstream dropped it.
  * Bump Standards-Version to 3.9.2 without changes needed.

 -- Didier Raboud <odyx@debian.org>  Mon, 20 Jun 2011 10:12:34 +0200

usb-modeswitch (1.1.7-1) unstable; urgency=low

  * New 1.1.7 upstream version.

  * Patches:
    + Add 01_extract_to_var_lib_not_tmp.patch to extract
      temporary files to /var/lib/usb_modeswitch instead of /tmp.
    + Add 02_allow_override_from_etc.patch to permit overriding
      packed configurations with files within /etc/usb_modeswitch.d/.
    - Remove 02_mp_correct_hyphens.patch: merged upstream.
    - Remove 04__use_var_lib_not_etc.patch: merged upstream.
    - Remove 05_fixed_configuration_switching_races.patch: was an upstream
      backport.
    - Remove 06_umdp_archive_in_usr.patch: Obsoleted by upstream.
  * Replace usb-modeswitch-data-packed dependency by a versioned dependency on
    usb-modeswitch-data (copes with -packed package removal).
  * Add a postinst maintainer script to move past runtime files to their new
    (and correct) location under /var/lib/.
  * Also bump debhelper compat (was forgotten).

 -- Didier Raboud <odyx@debian.org>  Tue, 15 Mar 2011 17:57:00 +0100

usb-modeswitch (1.1.6-2) unstable; urgency=low

  * Upload to unstable.
  * Use new dh_installdeb maintscript possibility:
    - Bump debhelper Build-Depends to 8.1.0.
    - Add Pre-Depends on ${misc:Pre-Depends} to usb-modeswitch.
    - Remove usb-modeswitch.preinst.
    - Add usb-modeswitch.maintscript.
  * Use my @d.o address and remove the DMUA flag.

 -- Didier Raboud <odyx@debian.org>  Wed, 09 Feb 2011 14:11:13 +0100

usb-modeswitch (1.1.6-1) experimental; urgency=low

  * New 1.1.6 upstream version.

  * Add a prerm maintainer script to remove leftover runtime files.
  * Update package relationships to allow the install of usb-modeswitch-
    data-packed.
  * Patches:
    + 06_umdp_archive_in_usr.patch: Add to search for the compressed archive
      in /usr/share/usb-modeswitch-data/
    x Refresh all others.
  * Bump Standards to 3.9.1 without changes needed.

 -- Didier Raboud <didier@raboud.com>  Tue, 04 Jan 2011 17:22:40 +0100

usb-modeswitch (1.1.5-1) experimental; urgency=low

  * New 1.1.5 upstream version.
  
  * Patches:
    - 01_no_bash_before_tcl.patch: remove, included upstream.
    x Refresh all others.

 -- Didier Raboud <didier@raboud.com>  Wed, 01 Dec 2010 15:59:47 +0100

usb-modeswitch (1.1.4-2) unstable; urgency=low

  * Fix configuration switching race (LP: #673435)

 -- Didier Raboud <didier@raboud.com>  Thu, 11 Nov 2010 14:52:43 +0100

usb-modeswitch (1.1.4-1) unstable; urgency=low

  * Patches: 
    + 04_use_var_lib_not_etc.patch : Add to put runtime files in /var/lib.

  * Release to unstable, thanks to the Release Team approval.

 -- Didier Raboud <didier@raboud.com>  Mon, 30 Aug 2010 18:30:37 +0200

usb-modeswitch (1.1.4-1~exp0) experimental; urgency=high

  * New 1.1.4 upstream version; relevant changes:
    - The package should work at boot time now (cold and warm);
      (Closes: #591765, #591722)
    - wrapper fix for the symlink feature: handling of multiple interrupt
      ports was incomplete; (Closes: #587776)
    - wrapper does not longer use a temporary file for the symlink feature
      (security considerations, Marco d'Itri) (Closes: #591761)
    - no udev rules grep'ing (Closes: #591760)

  * Patches:
    + 01_no_bash_before_tcl.patch : add to avoid one more waiting.
    + 02_mp_correct_hyphens.patch: refresh.
    + 03_use_udev_specifics.patch: avoid code duplication by using udev
      specific hotplug functions.

  * Set urgency to high as new upstream fixes security bug.

  * Correct documentation glitches in debian/README.Debian
    (Closes: #590903)

 -- Didier Raboud <didier@raboud.com>  Tue, 24 Aug 2010 00:07:38 +0200

usb-modeswitch (1.1.3-1) unstable; urgency=low

  * New 1.1.3 upstream version; relevant changes:
    - Small additions in Makefile (install with -D)
      => Remove patch 01_mf_install_path.patch
    - Changes in option handling (NO MORE DEFAULT CONFIG FILE!) and help text
      => Remove that conffile on upgrade, to avoid misunderstanding.
      => Include the device_reference.txt as docs.
    - Wrapper now ignores package manager leftovers in config folder
      => Remove patch 03_filter_undesired_rules.patch
    - Replaced bash-specific syntax in wrapper
      => Remove patch 04_fix_bashism.patch

  * Patches:
    + 02_mp_correct_hyphens.patch: refresh.

 -- Didier Raboud <didier@raboud.com>  Wed, 23 Jun 2010 10:43:35 +0200

usb-modeswitch (1.1.2-3) unstable; urgency=low

  * Add 04_fix_bashisms.patch to fix bashism in usb_modeswitch.tcl
    (Closes: #581143)

 -- Didier Raboud <didier@raboud.com>  Tue, 18 May 2010 14:24:17 +0200

usb-modeswitch (1.1.2-2) unstable; urgency=low

  * Add 03_filter_undesired_rules.patch to filter out undesired files
   (Closes: #579981)

 -- Didier Raboud <didier@raboud.com>  Mon, 03 May 2010 11:37:08 +0200

usb-modeswitch (1.1.2-1) unstable; urgency=low

  * New 1.1.2 upstream version.
    - Added support for two additional bulk messages
    - Wrapper handles special ZTE case
    - Generalized driver loading
    - New parameter "DriverModule" and "DriverIDPath"
    - New wrapper facility to add symlink pointing to interrupt port
  * Update 01_mf_install_path.patch and 02_mp_correct_hyphens.patch
  * Don't use Debian-specific revisions in debian/control.

 -- Didier Raboud <didier@raboud.com>  Mon, 19 Apr 2010 13:49:19 +0200

usb-modeswitch (1.1.1-1) unstable; urgency=low

  * New 1.1.1 upstream version.
    - Add separate config file for wrapper (global settings for switching and
      logging)
    - Add config file option to disable driver loading
    - Handling of kernel attribute AVOID_RESET_QUIRK added
    - Bug fixed in SonyMode
    - Bug fixed in SuccessCheck logic
    - Minor flow alignments and fixes
    - Debian:
      + Update patches
      + Update preinst to not drop /etc/usb_modeswitch.conf anymore
      + Update usb-modeswitch.install to install the conffile

  * Now that I am a DM, add DMUA field to debian/control.
    Thanks go to Patrick Matthäi for the sponsoring!

 -- Didier Raboud <didier@raboud.com>  Thu, 18 Mar 2010 11:08:06 +0100

usb-modeswitch (1.1.0-2) unstable; urgency=low

  * Drop the udev rules file (shipped in usb-modeswitch-data). Thanks to
    Sven-Haegar Koch for the report! (Closes: #567438)

 -- Didier Raboud <didier@raboud.com>  Fri, 29 Jan 2010 09:24:41 +0100

usb-modeswitch (1.1.0-1) unstable; urgency=low

  The "All your base are belong to us" release. It was great to collaborate 
  with upstream on that release. Thanks Josh!

  * New 1.1.0 upstream version.
    - Debian manpage got included, drop docbook-to-man.
    - Merge the two wrappers and put them in /lib/udev/.
  * Add a lintian override for the polyglot in /lib/udev/
  * Update debian/watch to new upstream tarball naming.
  * Bump dependency on -data to 20100127-1.
  * Suggest comgt instead of gcom.
  * Patches:
    + 01_mf_install_all_path.patch
       Add
         - Ensures that the directories are created before accessing them
         - Disables the udev rules reload
    + 02_mp_correct_hyphens.patch
      Add to correct hyphen-used-as-minus-sign on the manpage.
    - 03_build_system_to_policy.patch
       Merged upstream.
    - 05_move_wrappers_to_usr.patch
       Merged upstream.

 -- Didier Raboud <didier@raboud.com>  Thu, 28 Jan 2010 15:17:38 +0100

usb-modeswitch (1.0.7-1) unstable; urgency=low

  * New 1.0.7 upstream version (Closes: #563527).
    - Update the manpage
    - Split source in binary and data packages.
  * Patches:
    - 01_correct_broken_huawei_conf.patch
        Removed.
    + 03_build_system_to_policy.patch
        Refreshed.
    - 04_convert_umconf_to_unicode.patch
        Removed.
    + 05_move_wrappers_to_usr.patch
        Refreshed.
    - 06_disables_rules.patch
        Removed.
  * Add a preinst to delete configuration files forgotten in previous releases
    - Also delete /etc/udev/rules.d/80-usb_modeswitch.rules.
    - Delete only the data files not included in the -data upload
  * Update README.Debian.

 -- Didier Raboud <didier@raboud.com>  Tue, 12 Jan 2010 15:58:14 +0100

usb-modeswitch (1.0.5-1) unstable; urgency=low

  * New 1.0.5 upstream version
    - Configurations are now stored in independent files under
      /etc/usb_modeswitch.d/
    - The devices detection is greatly improved by having a broader set of
      detection fields (Closes: #527122).
    - Two new binaries: usb_modeswitch_sh and usb_modeswitch_tcl.
  * Adaptation to new upstream:
    - Add tclsh to Depends.
    - Drop mkrules.py and thus python B-D (Closes: #535445).
    - Update manpage to 1.0.5 (add --version)
  * Patches:
    - 01_correct_broken_huawei_conf.patch : refresh. 
    - 02_umconf_is_no_exec.patch          : remove, merged upstream.
    - 03_build_system_to_policy.patch     : refresh.
    - 04_convert_umconf_to_unicode.patch  : Add to get everything in utf-8.
                                            Thanks to W. Martin Borgert.
    - 05_move_wrappers_to_usr.patch       : Add. Moves wrappers to specific
                                            /usr/share/usb_modeswitch
    - 06_disables_rules.patch             : Add to get the udev rules "opt-in"
                                            (See NEWS.Debian)
    - Add headers to make them all comply to DEP-3 Patch Tagging Guidelines.
  * Bump Standards-Version to 3.8.3
    - Add README.source.
  * Document the major changes in NEWS.Debian
  * Switch to source format 3.0 (quilt). Drop quilt Build-Dep and dh snippet.

 -- Didier Raboud <didier@raboud.com>  Tue, 03 Nov 2009 11:02:31 +0100

usb-modeswitch (1.0.2-1) unstable; urgency=low

  * New 1.0.2 Upstream Version
    - New devices:
      + EpiValley SEC-7089 (featured by Alegro and Starcomms / iZAP)
      + ST Mobile Connect HSUPA USB Modem
    - The command line options have changed:
      + On/off flags don't require arguments anymore
      + long option names changed to standard format (e.g. --HuaweiMode to
        --huawei-mode)
    - Code cleanup
    - Added device inquiry
    - Send and response endpoints now autoselected
  * Fix manpage accordingly.
  * Update mkrules.py accordingly with cleaner coding style, thanks to
    Kris Warkentin.
  * Add debian/NEWS with a clear warning about the command line changes.
  * Fix "Broken generated udev rules for Huawei devices." by adding patch
    01_correct_broken_huawei_conf.patch (Closes: #530788).
    - Thus adding quilt to Build-Depends and tweak debian/rules accordingly.
    - Thanks Stephen Depooter.
  * debian/rules: Redo from scratch using debhelper tiny style.
    - Thus bump Build-Depends on debhelper to > 7.0.50.
    - Use upstream's build system.
    - Add patch 02_umconf_is_no_exec.patch.
    - Add patch 03_build_system_to_policy.patch to accept DEB_BUILD_OPTIONS
      (noopt, nostrip).
  * Switch packaging to git under Alioth's collab-maint
    - Add Vcs-{Git,Browser} to debian/control.
  * Bump Standards to 3.8.2, no changes needed.

 -- Didier Raboud <didier@raboud.com>  Tue, 23 Jun 2009 17:41:06 +0200

usb-modeswitch (0.9.7-1) unstable; urgency=low

  * 0.9.7 new upstream release.
    "Updated SonyMode, MD 400 now stable; automatic default endpoint detection
     from Andrew Bird."
    - Sony Ericsson MD400 now working
    - Automatic bulk endpoint detection
  * debian/copyright
    - Point to GPL version 2, thanks to lintian --pedantic.

 -- Didier Raboud <didier@raboud.com>  Thu, 16 Apr 2009 11:34:47 +0200

usb-modeswitch (0.9.7~beta1-1) experimental; urgency=low

  * 0.9.7beta new upstream release.
    "Major code clean up, optional success control (both suggested by Daniel
     Cooper), new devices"
  * New build system (not used in Debian yet).
  * New option to enable success control (--success)
    - Manpage updated
  * New devices
    - Option iCON 210,401
    - Vodafone K3760
    - ZTE MF636 (aka "Telstra / BigPond 7.2 Mobile Card")
    - Sierra Wireless Compass 597
    - MobiData MBD-200HU
    - Hyundai Mobile MB-810
  * Bump Standards to 3.8.1. No changes needed.

 -- Didier Raboud <didier@raboud.com>  Mon, 30 Mar 2009 19:44:55 +0200

usb-modeswitch (0.9.6-2) unstable; urgency=low

  * debian/copyright: Make clear that the packaging is GPLv2+, as
    usb-modeswitch itself
  * debian/mkrules.py: Generate udev rules based on /etc/usb-modeswitch.conf
  * Add gcom and wvdial to Suggests.

 -- Didier Raboud <didier@raboud.com>  Sat, 14 Feb 2009 12:32:43 +0100

usb-modeswitch (0.9.6-1) unstable; urgency=low

  * Initial release (Closes: #453732)
  * Description taken from the ITP, thanks to Aurélien GÉRÔME.

 -- Didier Raboud <didier@raboud.com>  Tue, 03 Feb 2009 14:11:19 +0100
